Last Comment Bug 1257293 - autocomplete product and channel in balrog ui
: autocomplete product and channel in balrog ui
Status: RESOLVED FIXED
:
Product: Release Engineering
Classification: Other
Component: Balrog: Frontend (show other bugs)
: unspecified
: Unspecified Unspecified
-- normal (vote)
: ---
Assigned To: Njira
: Ben Hearsum (:bhearsum)
:
Mentors: Ben Hearsum (:bhearsum)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-16 12:33 PDT by Ben Hearsum (:bhearsum)
Modified: 2016-09-12 06:55 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Ben Hearsum (:bhearsum) 2016-03-16 12:33:36 PDT
Mark suggested that it would be nice to have Product and Channel autocomplete in the Rules UI (and maybe Product in the Releases UI as well) like Mapping does. I think this is probably pretty reasonable, as there's a relatively limited set of them, and it would reduce the possibility of typo errors.

Ideally, we'd do this in a data driven way rather than hardcoding them somewhere in the repo.
Comment 1 User image [github robot] 2016-03-22 07:03:26 PDT
Commits pushed to master at https://github.com/mozilla/balrog

https://github.com/mozilla/balrog/commit/9d0d3a1ea5a6e95a78b8bd5d1083251c128d7037
[rule-modals] This api change enables channel autocomplete

Closes-bug: #1257293

https://github.com/mozilla/balrog/commit/be41e82cd70843991f51afc6e12bb8bd006aa673
Merge pull request #61 from njirap/autocomplete_more_fields

bug 1257293: autocomplete product and channel in balrog ui. r=bhearsum
Comment 2 User image Ben Hearsum (:bhearsum) 2016-03-22 07:44:51 PDT
Njira's patches for the backend and frontend have both been merged. I'll be pushing them to production with the next batch of changes - hopefully later this week.
Comment 3 User image Ben Hearsum (:bhearsum) 2016-03-24 12:40:23 PDT
This landed in production today, thanks Njira!
Comment 4 User image [github robot] 2016-09-12 06:55:15 PDT
Commits pushed to master at https://github.com/mozilla/balrog

https://github.com/mozilla/balrog/commit/361373733342329efebd0e2bfe848e674ab04c6e
[balrog-ui] Bug 1257293 - Autocomplete input fields

Rule - product and channel
Release - product

https://github.com/mozilla/balrog/commit/2e8e8dca07b8b7c1d7ea5a40715808a55198a864
[balrog-ui] Merge pull request #19 from njirap/master

bug 1257293: autocomplete product and channel in balrog ui. r=bhearsum

Note You need to log in before you can comment on or make changes to this bug.